body {
    font-family: monospace;
    background-color: #222;
    color: white;
    text-align: center;
    margin: 0;
    padding: 20px;
    /* touch-action: none; */
    overscroll-behavior-y: none;
}

#status {
    margin: 10px 0;
    padding: 10px;
    background: #333;
    border-radius: 10px;
    font-family: monospace;
}

#console {
    text-align: left;
    margin: 100px 0;
    padding: 10px;
    background: #333;
    border-radius: 10px;
    font-family: monospace;
    height: 160px;
    overflow-y: auto;
}

button {
    padding: 10px 20px;
    font-size: 14px;
    font-family: monospace;
    background-color: #434343;
    color: white;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

button#connectBtn {
    background-color: #007bff;
}

.control-buttons {
    margin: 20px 0;
}

.dpad {
    display: grid;
    grid-template-columns: 80px 80px 80px;
    grid-template-rows: 80px 80px 80px;
    gap: 10px;
    justify-content: center;
    margin-top: 60px;
}

.dpad-btn {
    background-color: #555;
    border-radius: 10px;
    font-size: 24px;
    color: white;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.dpad-btn:active,
.dpad-btn.active {
    background-color: #f5a017;
}

.action-btn:active,
.action-btn.active {
    background-color: #11c014;
}

.action-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 40px;
}

.action-btn {
    width: 80px;
    height: 80px;
    font-weight: bold;
    background-color: #434343;
}

.hidden {
    display: none !important;
}

#btn-f {
    grid-column: 2;
    grid-row: 1;
}

#btn-l {
    grid-column: 1;
    grid-row: 2;
}

#btn-r {
    grid-column: 3;
    grid-row: 2;
}

#btn-b {
    grid-column: 2;
    grid-row: 3;
}